name: SQLite3 Migrations

on:
  push:
    branches: [ "master" ]
  pull_request:
    branches: [ "master" ]

jobs:
  build:

    runs-on: ubuntu-latest
    
    defaults:
      run:
        working-directory: ./backend

    steps:
    - uses: actions/checkout@v3
    - name: Install SQLite3
      run: sudo apt-get install sqlite3
    - name: Install Make
      run: sudo apt-get install make
    - name: Run Migrations
      run: make migrate
